class SyncStatusesController < ApplicationController
  def self.set_target_before
    super << :sync
  end
  model_data_store(SyncStatus, { index: true }, { index: true })
  also_protect_with(RxModule::Authorization.verb("sync", "Sync", :sync))

  def sync
    if @model.in_progress?
      head :unprocessible_entity
    else
      @model.queue_sync
      head :ok
    end
  end

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:sync_status).permit(:sync_started_at, :sync_ended_at, :syncing, :name)
    end
end
