import * as React from 'react';
import {observer} from 'mobx-react-lite';
import {ModelSelect} from "@rx-suite/ui";
import {CustomerStore} from "../../stores/CustomerStore";
import {sortedOptions} from "../../stores/_FieldConstants";

export const CustomersSelect = observer(() => {
    const store = CustomerStore;

    React.useEffect(() => {
        store.getAll();
    }, [])

    return (
        <ModelSelect
            name={'customer_ids'}
            options={sortedOptions(store.models.map((option) => {
                return {label: option.display_name, value: option.getId()}
            }))}
            multiple
        />
    );
})
