import * as React from 'react';
import {AsyncModelSelect, ModelInput, useModelContext} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {OrderFieldProps} from "../../../stores/_FieldConstants";
import {LoadOptions} from "react-select-async-paginate";

type Props = {
    loadOptions: LoadOptions<any, any, any>
} & OrderFieldProps

export const FrameField: React.FunctionComponent<Props> = observer(({name, label, loadOptions}) => {
    const model = useModelContext();

    if(model.viewModel._fstatus === "F") {
        return (
            <ModelInput name={name} label={label} fullWidth />
        )
    } else {
        return (
            <AsyncModelSelect
                name={name}
                label={label}
                loadOptions={loadOptions}
                clearable
                fullWidth
            />
        )
    }
})