import * as React from 'react';
import {SelectField, useModelContext, useReadonlyContext} from '@rx-suite/ui';
import {JOB_TYPES} from "../../../stores/_FieldConstants";
import { useOrderEntryStore } from '../../../hooks/useOrderEntryStore';
import {useModelFieldProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {RxUniverseStore} from "../../../stores/RxUniverseStore";

export const JobTypeSelect = observer(() => {
    const readOnly = useReadonlyContext();
    const model = useModelContext();
    const modelSelectProps = useModelFieldProps({ name: "job_type" });
    const orderEntryStore = useOrderEntryStore();
    const options = RxUniverseStore.selectedModel.isVA ? JOB_TYPES : JOB_TYPES.filter(a => a.value != "F")

    const handleChange = React.useCallback((_, value) => {
        orderEntryStore.setJobType(value);
    }, [orderEntryStore]);


    return (
        <SelectField
            {...modelSelectProps}
            options={readOnly ? options : options.filter(a => a.value != "I")}
            onChange={handleChange}
            value={model.viewModel.dig("job_type") || null}
        />
    )
});