import {Grid, makeStyles, Typography} from '@material-ui/core';
import {observer} from 'mobx-react-lite';
import * as React from 'react';
import {levelLabel, Levels} from "../../../stores/_FieldConstants";

export const LevelHeader: React.FunctionComponent<{ level: string }> = observer(({level}) => {
    const buttons = Levels[level]?.buttons || [];
    return(
        <Grid container spacing={2}>
            <Grid item xs={12}>
                <Typography variant={"h6"}>{levelLabel(level)}</Typography>
            </Grid>

            {buttons}
        </Grid>
    )
});