import * as React from 'react';
// @ts-ignore
import ProvinceData from 'provinces';
import {observer} from "mobx-react-lite";
import {ModelSelect} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {Grid} from "@material-ui/core";
import {AddressField} from "./AddressField";

export const StateCitySelect = observer(() => {
    const [states, setStates] = React.useState<{ label: string, value: string }[]>([]);

    React.useEffect(() => {
        const states = ProvinceData.filter((data: { country: string }) => data.country === "CA" || data.country === "US")
            .map((data: { short?: string, name: string }) => {
                return {label: data.name, value: data.short ?? data.name}
            })
        setStates(states);
    }, [setStates])

    return (
        <>
            <Grid item xs={4}>
                <ModelSelect name={'ship_to_address3'} options={states} label={t`State/Province`}/>
            </Grid>
            <Grid item xs={4}>
                <AddressField name={'ship_to_address4'} label={t`City`}/>
            </Grid>
            <Grid item xs={4}>
                <AddressField name={'ship_to_code'} label={'Zip Code/Postal Code'}/>
            </Grid>
        </>
    );
})