import * as React from 'react';
import {HintButtonProps, ModelDateField} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {Grid} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {LabMaintenanceStore} from "../../../stores/LabMaintenanceStore";
import moment from "moment";

export const WantedDateField = observer(() => {
    const yesterday = moment().subtract(1, 'day');
    const validDates = function(current:any){
        return current.isAfter(yesterday);
    };
    const hint = {
        title: t`Date Wanted`,
        text: t`The date the order is wanted/needed by the customer. Also known as a "due date" or "promised date"` } as HintButtonProps;
    if(!LabMaintenanceStore.selectedModel?.display_wanted_date) {
        return null;
    }

    return(
        <Grid item xs={12} lg={4}>
            <ModelDateField name={"raw_data.date_wanted"} label={t`Date Wanted`} timeFormat={false}  hint={hint} isValidDate={validDates}/>
        </Grid>
    )
});