import {observer} from 'mobx-react-lite';
import * as React from 'react';
import {useOrderEntryStore} from "../../../hooks/useOrderEntryStore";
import {SelectField} from "@rx-suite/ui";
import {FrameFindOption} from "../../../stores/_FieldConstants";
import {LinearProgress} from "@material-ui/core";

export const FrameFindInput: React.FunctionComponent<{ option: FrameFindOption }> = observer(({option}) => {
    const store = useOrderEntryStore();
    if (store.fetchingFrameFindOptions) {
        return <LinearProgress/>;
    }
    return <SelectField onChange={store.handleFrameFindFilterChange}
                        label={option.label}
                        value={store.frameFindFilterValue(option.id)}
                        name={option.id}
                        options={option.options}
                        clearable
    />
});