import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {QuickCodeStore} from "../../stores/QuickCodeStore";
import {QuickCodeForm} from "./QuickCodeForm";
import {DataStore, Model} from "@rx-suite/data/build";

export const QuickCodePage = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('code', 'Quick Code', 'string'),
            makeColumn('style_type_name', 'Type', 'string'),
            makeColumn('style_name', 'Style', 'string'),
            makeColumn('style_material_name', 'Material', 'string'),
        ]
    }, [])

    return (
        <BreadModel store={QuickCodeStore as unknown as DataStore<Model>} Form={QuickCodeForm} columns={columns}/>
    )
}