class SyncStyleTypesJob < ApplicationJob
  def perform
    StyleTypeSyncStatus.wrap do

      offset = 0

      style_ids = []
      last_response = nil
      loop do
        types = RxModule::Communicator::Rxuniverse.style_types(limit: SyncStatus::LIMIT, offset: offset)

        break if types.empty? || last_response == types

        last_response = types

        data = types.map do
          {
            active: true,
            style_type: _1[:type]
          }
        end

        StyleType.quietly do
          data.each do |type|
            style_type = StyleType.unscope(:where).where(style_type: type[:style_type]).first_or_initialize
            style_type.assign_attributes(type)
            style_type.save
            style_ids << style_type.id
          end
        end

        offset += SyncStatus::LIMIT
      end

      StyleType.quietly do
        StyleType.where.not(id: style_ids).update_all(active: false, updated_at: Time.now)
      end
    end
  rescue => e
    Rails.logger.error e
  end
end
