# frozen_string_literal: true

class SyncUserJob < ApplicationJob
  def perform
    UserSyncStatus.wrap do
      user_ids = []
      RxModule::Communicator::Hub.picker_users.each do |user|
        config = if Config.exists?(user_id: user[:id])
                   config = Config.order(:created_at).find_by(user_id: user[:id])
                   config.update(user_email: user[:email], user_name: user[:name], active: true)
                   config
                 else
                   Config.create(user_id: user[:id], user_name: user[:name], user_email: user[:email], active: true)
                 end
        user_ids << config.id
      end
      Config.where.not(id: user_ids).update_all(active: false, updated_at: Time.now)
    end
  end
end
