# == Schema Information
#
# Table name: lab_maintenances
#
#  id                        :bigint           not null, primary key
#  confirmation_template     :string(4000)     default("RXSITE")
#  display_addresses         :boolean          default(FALSE), not null
#  display_hold_switch       :boolean          default(FALSE), not null
#  display_quick_codes       :boolean          default(TRUE)
#  display_shipping_info     :boolean          default(TRUE)
#  display_uncut_orders      :boolean          default(FALSE), not null
#  display_wanted_date       :boolean          default(FALSE), not null
#  split_name_on_order_entry :boolean          default(FALSE), not null
#  created_at                :datetime         not null
#  updated_at                :datetime         not null
#  lab_id                    :string(4000)
#
# Indexes
#
#  index_lab_maintenances_on_lab_id  (lab_id) UNIQUE
#
class LabMaintenance < ApplicationRecord

  after_initialize do
    self.confirmation_template ||= "RXSITE"
  end

  class << self
    def display_name
      "Lab Config"
    end

    def instance
      first_or_create!(lab_id: "Default Lab ID")
    end
  end
end
